import { type Base, genBase } from './_base'

export interface ProcedureSrc extends Base {
  code: string
  name: string
  indName: string
}

export function genProcedureSrc(): ProcedureSrc {
  return {
    ...genBase(),
    code: '',
    name: '',
    indName: '',
  }
}
